Bug 115450 - Compaq Smart Array 431 Driver loads, cannot find hard drives
Compaq Smart Array 431 Driver loads, cannot find hard drives
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-12 12:08 EST by Dave Habben
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-13 13:01:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Habben 2004-02-12 12:08:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4)
Gecko/20011022 Netscape6/6.2

Description of problem:
Previous to the 1.90 test anaconda was always able to detect and see
the drives on the Compaq Smart Array 431 Controller. 

"Warning
No hard drives have been found. You probably need to manually choose
device drivers for the installation to succeed. Would you like to
select drivers now?"

[Yes]

It did list that it found the Compaq Smart/2 RAID Controller (cpqarray)

If I hit Alt-F4 it shows:
<7>cpqarray: Device 0X1011 has been found at bus 5 dev 1 func 0
<4>Compaq SMART2 Driver (v 2.4.5)
<4>Found 1 controller(s)
<6>cpqarray: Finding drives on ida0 (Smart Array 431)
<6>cpqarray ida/c0d0: blksz=512 nr_blks=35553120
<6> ida/c0d0: p1 p2 < p5 p6 >
<7>request_module: failed /sbin/modprobe -- char-major-9-0. error = -16

A listing of /dev does not show any /dev/ida* device nodes

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:
1. Start to install Fedora 1.90
2. Skip testing the CD (already been verified as good)
3. Warning about no hard drives being detected
    
Expected Results:  Anaconda should have seen the drives like it did in
Fedora Core 1
Comment 1 Jeremy Katz 2004-02-12 17:41:01 EST
I fixed this just past test1...  the current development tree should
be happier here.
Comment 2 Dave Habben 2004-02-13 13:01:06 EST
I tested this out with the boot.iso dated 2/13/04 and it worked just 
fine. Thanks for the help!

Note You need to log in before you can comment on or make changes to this bug.